Subject: Re: bug#66050: Making perl-mode.el obsolete

From: Stefan Monnier <[email-masked]>
Date: Mon, 18 Sep 2023 12:14:28 -0400

> I don't think it makes sense for us to spend our meager resources
> maintaining two major modes for Perl.  I would like to gauge what people
> think about obsoleting perl-mode.el.

I think I sadly agree.

I've been a supporter of `perl-mode` because when I had to edit Perl
files, I always found `cperl-mode` not to be to my taste (too different
from other Emacs major modes).  So I've worked to improve `perl-mode`
based on my own needs, which were rather limited.

I considered improving `cperl-mode` instead, but found the code of
`perl-mode` easier to deal with (especially at the beginning, where
I found collaborating with Ilya was sometimes difficult).

Luckily I haven't needed to edit Perl files for the last several years.

I think the best option is to obsolete `perl-mode` and to encourage
people to report bugs against `cperl-mode` when they find it doesn't
work as well as their beloved `perl-mode` :-)

        Stefan